Bug 166106 - subversion rebuild fails on powerpc
subversion rebuild fails on powerpc
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: subversion (Show other bugs)
4.0
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-16 19:04 EDT by Ben Levenson
Modified: 2012-05-22 07:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-22 07:37:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full build.log (223.64 KB, text/plain)
2005-08-16 19:04 EDT, Ben Levenson
no flags Details

  None (edit)
Description Ben Levenson 2005-08-16 19:04:34 EDT
Description of problem:
subversion SRPM rebuild fails with the following errors on powerpc:
# ppc rpmbuild --target=ppc --rebuild subversion-1.1.1-2.1.src.rpm
<snip>
/var/tmp/subversion-root/usr/lib/python2.3/site-packages/libsvn/_ra.la
/var/tmp/subversion-root/usr/lib/python2.3/site-packages/libsvn/_repos.la
/var/tmp/subversion-root/usr/lib/python2.3/site-packages/libsvn/_wc.la
+ xargs -0 rm -f
+ find /var/tmp/subversion-root -type f -a '(' -name .packlist -o '(' -name
'*.bs' -a -empty ')' ')' -print0
+ find /var/tmp/subversion-root/usr/lib64/perl5 -type f -perm 555 -print0
+ xargs -0 chmod 755
find: /var/tmp/subversion-root/usr/lib64/perl5: No such file or directory
chmod: too few arguments
Try `chmod --help' for more information.
error: Bad exit status from /var/tmp/rpm-tmp.60766 (%install)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.60766 (%install)

Version-Release number of selected component (if applicable):
subversion-1.1.1-2.1

How reproducible:
100%

Steps to Reproduce:
1. try to rebuild subversion RPM on an installed RHEL-4 powerpc machine

Actual results:
see attachment below for full build log.
Comment 1 Ben Levenson 2005-08-16 19:04:34 EDT
Created attachment 117814 [details]
full build.log
Comment 2 Joe Orton 2005-08-17 04:54:51 EDT
That looks like a broken build environment - it's getting libdir=/usr/lib64 for
a ppc32 build?

+ ./configure --build=powerpc-redhat-linux-gnu --host=powerpc-redhat-linux-gnu
--target=ppc-redhat-linux-gnu ... --libdir=/usr/lib64 ...

Comment 5 Joe Orton 2005-08-19 02:20:21 EDT
Toggled to private, yeah, I guess.

Still: never should you have libdir=/usr/lib64 for a 32-bit ppc build.  That
just doesn't make sense.
Comment 6 Joe Orton 2005-10-05 09:15:16 EDT
This is either an rpm configuration issue or something; it needs more
investigation to assign properly, either way.

Can't reproduce on a RHEL4/ppc64 P5 box here:

jorton@jupiter:~$ ppc rpmbuild --target ppc --eval %{_libdir}
/usr/lib
rpmbuild: no spec files given for build
Comment 7 David Lawrence 2006-04-12 14:39:02 EDT
The status NEEDINFO_QA has been deprecated in favor of NEEDINFO. Moving bugs to
NEEDINFO.

Note You need to log in before you can comment on or make changes to this bug.